Package io.dapr.actors

# Class ActorTrace

java.lang.Object
io.dapr.actors.ActorTrace

public final class ActorTrace extends Object
Class to emit trace log messages.

## Constructor Summary

Constructors
Constructor
Description
`ActorTrace()`

## Method Summary

Modifier and Type
Method
Description
`void`
`writeError(String type, String id, String msgFormat, Object... params)`
Writes an error trace log.
`void`
`writeInfo(String type, String id, String msgFormat, Object... params)`
Writes an information trace log.
`void`
`writeWarning(String type, String id, String msgFormat, Object... params)`
Writes an warning trace log.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ActorTrace

public ActorTrace()

## Method Details

### writeInfo

public void writeInfo(String type, String id, String msgFormat, Object... params)
Writes an information trace log.

Parameters:
  `type` - Type of log.
  `id` - Instance identifier.
  `msgFormat` - Message or message format (with type and id input as well).
  `params` - Params for the message.

### writeWarning

public void writeWarning(String type, String id, String msgFormat, Object... params)
Writes an warning trace log.

Parameters:
  `type` - Type of log.
  `id` - Instance identifier.
  `msgFormat` - Message or message format (with type and id input as well).
  `params` - Params for the message.

### writeError

public void writeError(String type, String id, String msgFormat, Object... params)
Writes an error trace log.

Parameters:
  `type` - Type of log.
  `id` - Instance identifier.
  `msgFormat` - Message or message format (with type and id input as well).
  `params` - Params for the message.